Skip to main content
`Ctrl`+`K`

# TSRHSFunctionFn

A prototype of a `TS` right-hand-side evaluation function that would be passed to `TSSetRHSFunction()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode TSRHSFunctionFn(TS ts, PetscReal t, Vec u, Vec F, PetscCtx ctx);

## Calling Sequence

- ts - timestep context

- t - current time

- u - input vector

- F - function vector

- ctx - [optional] user-defined function context

## Note

The deprecated `TSRHSFunction` still works as a replacement for `TSRHSFunctionFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetRHSFunction()`, `DMTSSetRHSFunction()`, `TSIFunctionFn`, `TSIJacobianFn`, `TSRHSJacobianFn`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages